Lighthouse
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Lighthouse action in the pipeline
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
POST PARAMETERS
typerequiredstring enum
The type of the actionAllowed enum:
LIGHTHOUSEurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksafter_action_idinteger
The numerical ID of the action, after which this action should be addednamerequiredstring
The name of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The git revision of the last successful run of the actionpermissionsPermissionsView
Access permissions configurationwebsiterequiredstring
The address of the site on which the audit should rundevicerequiredstring
The device on which the audit will be runmax_resultsinteger
The maximum number of results to storeperformancerequiredinteger
Values from 0 to 100 are accepted. The action returns an error if the score is below the values that are setaccessibilityrequiredinteger
Values from 0 to 100 are accepted. The action returns an error if the score is below the values that are setbest_practicesrequiredinteger
Values from 0 to 100 are accepted. The action returns an error if the score is below the values that are setseorequiredinteger
Values from 0 to 100 are accepted. The action returns an error if the score is below the values that are setfirst_contentful_paintnumber
The maximum First Contentful Paint metric thresholdfirst_meaningful_paintnumber
The maximum First Meaningful Paint metric thresholdspeed_indexnumber
The maximum Speed Index metric thresholdestimated_input_latencynumber
The maximum Estimated Input Latency metric thresholdtotal_blocking_timenumber
The maximum Total Blocking Time metric thresholdmax_potential_fidnumber
The maximum Max Potential First Input Delay metric thresholdtime_to_first_bytenumber
The maximum Time to First Byte metric thresholdfirst_cpu_idlenumber
The maximum First CPU Idle metric thresholdbootup_timenumber
The maximum JavaScript bootup time metric thresholdnetwork_server_latencynumber
The maximum network server latency metric thresholdinteractivenumber
The maximum Time to Interactive metric thresholdResponse
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
LIGHTHOUSEurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopwebsitestring
The address of the site on which the audit should rundevicestring
The device on which the audit will be runmax_resultsinteger
The maximum number of results to storeperformanceinteger
Values from 0 to 100 are accepted. The action returns an error if the score is below the values that are setaccessibilityinteger
Values from 0 to 100 are accepted. The action returns an error if the score is below the values that are setbest_practicesinteger
Values from 0 to 100 are accepted. The action returns an error if the score is below the values that are setseointeger
Values from 0 to 100 are accepted. The action returns an error if the score is below the values that are setfirst_contentful_paintnumber
The maximum First Contentful Paint metric thresholdfirst_meaningful_paintnumber
The maximum First Meaningful Paint metric thresholdspeed_indexnumber
The maximum Speed Index metric thresholdestimated_input_latencynumber
The maximum Estimated Input Latency metric thresholdtotal_blocking_timenumber
The maximum Total Blocking Time metric thresholdmax_potential_fidnumber
The maximum Max Potential First Input Delay metric thresholdtime_to_first_bytenumber
The maximum Time to First Byte metric thresholdfirst_cpu_idlenumber
The maximum First CPU Idle metric thresholdbootup_timenumber
The maximum JavaScript bootup time metric thresholdnetwork_server_latencynumber
The maximum network server latency metric thresholdinteractivenumber
The maximum Time to Interactive metric thresholdLast modified on Mar 18, 2026
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Lighthouse",
"type": "LIGHTHOUSE",
"trigger_time": "ON_EVERY_EXECUTION",
"device": "mobile",
"website": "https://buddy.works",
"performance": 50,
"accessibility": 50,
"best_practices": 50,
"seo": 50
}'STATUS200 OK